CellFields (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.constants.fields

## Enum CellFields

- java.lang.Object
- - java.lang.Enum<CellFields>
  - - org.gcube.application.aquamaps.aquamapsportlet.client.constants.fields.CellFields

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Serializable, Comparable<CellFields>

      public enum CellFields
      extends Enum<CellFields>
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `abyssal`
    `area0_20`
    `area20_40`
    `area40_60`
    `area60_80`
    `area80_100`
    `areabelow100`
    `cellarea`
    `celltype`
    `centerlat`
    `centerlong`
    `coral`
    `countrymain`
    `countrysecond`
    `countrythird`
    `csquarecode`
    `depthmax`
    `depthmean`
    `depthmin`
    `depthsd`
    `eezall`
    `eezfirst`
    `eezremark`
    `eezsecond`
    `eezthird`
    `elevationmax`
    `elevationmean`
    `elevationmin`
    `elevationsd`
    `elimit`
    `estuary`
    `faoareain`
    `faoaream`
    `goodcell`
    `iceconann`
    `iceconfal`
    `iceconspr`
    `iceconsum`
    `iceconwin`
    `inboundbox`
    `infaoarea`
    `islandsno`
    `landdist`
    `lme`
    `loiczid`
    `longhurst`
    `nlimit`
    `oceanarea`
    `oceanbasin`
    `primprodmean`
    `pwater`
    `recordid`
    `salinitybmean`
    `salinitymax`
    `salinitymean`
    `salinitymin`
    `salinitysd`
    `sbtanmean`
    `seagrass`
    `seamount`
    `shelf`
    `slimit`
    `slope`
    `speccode`
    `sstanmean`
    `sstansd`
    `sstmnmax`
    `sstmnmin`
    `sstmnrange`
    `tidalrange`
    `waveheight`
    `wlimit`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CellFields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CellFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### csquarecode

          public static final CellFields csquarecode

    - #### loiczid

          public static final CellFields loiczid

    - #### nlimit

          public static final CellFields nlimit

    - #### slimit

          public static final CellFields slimit

    - #### wlimit

          public static final CellFields wlimit

    - #### elimit

          public static final CellFields elimit

    - #### centerlat

          public static final CellFields centerlat

    - #### centerlong

          public static final CellFields centerlong

    - #### cellarea

          public static final CellFields cellarea

    - #### oceanarea

          public static final CellFields oceanarea

    - #### celltype

          public static final CellFields celltype

    - #### pwater

          public static final CellFields pwater

    - #### faoaream

          public static final CellFields faoaream

    - #### faoareain

          public static final CellFields faoareain

    - #### countrymain

          public static final CellFields countrymain

    - #### countrysecond

          public static final CellFields countrysecond

    - #### countrythird

          public static final CellFields countrythird

    - #### eezfirst

          public static final CellFields eezfirst

    - #### eezsecond

          public static final CellFields eezsecond

    - #### eezthird

          public static final CellFields eezthird

    - #### eezall

          public static final CellFields eezall

    - #### eezremark

          public static final CellFields eezremark

    - #### lme

          public static final CellFields lme

    - #### oceanbasin

          public static final CellFields oceanbasin

    - #### longhurst

          public static final CellFields longhurst

    - #### islandsno

          public static final CellFields islandsno

    - #### area0_20

          public static final CellFields area0_20

    - #### area20_40

          public static final CellFields area20_40

    - #### area40_60

          public static final CellFields area40_60

    - #### area60_80

          public static final CellFields area60_80

    - #### area80_100

          public static final CellFields area80_100

    - #### areabelow100

          public static final CellFields areabelow100

    - #### elevationmin

          public static final CellFields elevationmin

    - #### elevationmax

          public static final CellFields elevationmax

    - #### elevationmean

          public static final CellFields elevationmean

    - #### elevationsd

          public static final CellFields elevationsd

    - #### waveheight

          public static final CellFields waveheight

    - #### tidalrange

          public static final CellFields tidalrange

    - #### landdist

          public static final CellFields landdist

    - #### shelf

          public static final CellFields shelf

    - #### slope

          public static final CellFields slope

    - #### abyssal

          public static final CellFields abyssal

    - #### coral

          public static final CellFields coral

    - #### estuary

          public static final CellFields estuary

    - #### seagrass

          public static final CellFields seagrass

    - #### seamount

          public static final CellFields seamount

    - #### depthmin

          public static final CellFields depthmin

    - #### depthmax

          public static final CellFields depthmax

    - #### depthmean

          public static final CellFields depthmean

    - #### depthsd

          public static final CellFields depthsd

    - #### sstanmean

          public static final CellFields sstanmean

    - #### sstansd

          public static final CellFields sstansd

    - #### sstmnmax

          public static final CellFields sstmnmax

    - #### sstmnmin

          public static final CellFields sstmnmin

    - #### sstmnrange

          public static final CellFields sstmnrange

    - #### sbtanmean

          public static final CellFields sbtanmean

    - #### salinitymean

          public static final CellFields salinitymean

    - #### salinitysd

          public static final CellFields salinitysd

    - #### salinitymax

          public static final CellFields salinitymax

    - #### salinitymin

          public static final CellFields salinitymin

    - #### salinitybmean

          public static final CellFields salinitybmean

    - #### primprodmean

          public static final CellFields primprodmean

    - #### iceconann

          public static final CellFields iceconann

    - #### iceconspr

          public static final CellFields iceconspr

    - #### iceconsum

          public static final CellFields iceconsum

    - #### iceconfal

          public static final CellFields iceconfal

    - #### iceconwin

          public static final CellFields iceconwin

    - #### speccode

          public static final CellFields speccode

    - #### goodcell

          public static final CellFields goodcell

    - #### infaoarea

          public static final CellFields infaoarea

    - #### inboundbox

          public static final CellFields inboundbox

    - #### recordid

          public static final CellFields recordid

  - ### Method Detail

    - #### values

          public static CellFields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CellFields c : CellFields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CellFields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.